ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

Cannot upgrade iLO firmware

 
Andy Simpson_2
Occasional Visitor

Cannot upgrade iLO firmware

Hi there, I am trying to use the Online ROM Flash component for Windows to upgrade an iLO firmware from a very old version (1.15) to 1.62.

I need to do this so I can use HPONCFG.exe to configure the iLO without having to reboot the server and go into the iLO's Rom Based Setup Utility.

The Online flash fails. The entry in C:\CPQSYSTEM\log\cpqsetup.log says:

Error: Could not communicate with Channel Interface (CHIF) (errcode=2)

I made sure that the latest iLO Management driver (1.4.4.0) was installed before attempting the upgrade.

How can I get around this. Going onsite with a ROMPaq disk is not an option.

I have had this problem on a DL360 G2, G3 & ML370 G3.

1 REPLY
Brian_Murdoch
Honored Contributor

Re: Cannot upgrade iLO firmware

Hi Andy,

The problem may be due to the ILO security jumper. The following article highlights this.

Problem Description Symptoms

iLo ROM says it flashes however the rom doesn't take when upgrading from 1.02 to 1.06 or 1.15.

Cause

Security Jumper is prevent the flash from taking.

Resolution/Workaround

Removing the iLo Security Jumper will allow the flash to take

I have attached an image with the location of the DL360G2 ILO jumper. Try this and see if it fixes the problem.

I hope this helps.

Brian